JGraph X 1.3.0.0

## com.mxgraph.canvas
Class mxSvgCanvas

    java.lang.Object
      com.mxgraph.canvas.mxBasicCanvas
          com.mxgraph.canvas.mxSvgCanvas

All Implemented Interfaces:
  mxICanvas

    public class mxSvgCanvas

extends mxBasicCanvas

An implementation of a canvas that uses SVG for painting. This canvas ignores the STYLE_LABEL_BACKGROUNDCOLOR and STYLE_LABEL_BORDERCOLOR styles due to limitations of SVG.

Field Summary
`protected org.w3c.dom.Document` `document` Holds the HTML document that represents the canvas.

Fields inherited from class com.mxgraph.canvas.mxBasicCanvas
`DEFAULT_IMAGEBASEPATH, drawLabels, imageBasePath, scale, translate`

Constructor Summary
`mxSvgCanvas()` Constructs a new SVG canvas for the specified dimension and scale.
`mxSvgCanvas(org.w3c.dom.Document document)` Constructs a new SVG canvas for the specified bounds, scale and background color.

Method Summary
`void` `appendSvgElement(org.w3c.dom.Element node)`
`java.lang.Object` `drawEdge(java.util.List<mxPoint> pts, java.util.Map<java.lang.String,java.lang.Object> style)` Draws the given edge.
`java.lang.Object` `drawLabel(java.lang.String label, int x, int y, int w, int h, java.util.Map<java.lang.String,java.lang.Object> style, boolean isHtml)` Draws the given label.
`org.w3c.dom.Element` `drawLine(java.util.List<mxPoint> pts, java.util.Map<java.lang.String,java.lang.Object> style)` Draws the given lines as segments between all points of the given list of mxPoints.
`mxPoint` `drawMarker(org.w3c.dom.Element parent, java.lang.Object type, mxPoint p0, mxPoint pe, float size, float strokeWidth, java.lang.String color)` Draws the specified marker as a child path in the given parent.
`org.w3c.dom.Element` `drawShape(int x, int y, int w, int h, java.util.Map<java.lang.String,java.lang.Object> style)` Draws the shape specified with the STYLE_SHAPE key in the given style.
`java.lang.Object` `drawText(java.lang.String text, int x, int y, int w, int h, java.util.Map<java.lang.String,java.lang.Object> style)` Draws the specified text either using drawHtmlString or using drawString.
`java.lang.Object` `drawVertex(int x, int y, int w, int h, java.util.Map<java.lang.String,java.lang.Object> style)` Draws the given vertex.
`org.w3c.dom.Document` `getDocument()` Returns a reference to the document that represents the canvas.
`void` `setDocument(org.w3c.dom.Document document)`

Methods inherited from class com.mxgraph.canvas.mxBasicCanvas
`getImageBasePath, getImageForStyle, getScale, getTranslate, isDrawLabels, setDrawLabels, setImageBasePath, setScale, setTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    protected org.w3c.dom.Document document

  Holds the HTML document that represents the canvas.

Constructor Detail

### mxSvgCanvas

    public mxSvgCanvas()

  Constructs a new SVG canvas for the specified dimension and scale.

### mxSvgCanvas

    public mxSvgCanvas(org.w3c.dom.Document document)

  Constructs a new SVG canvas for the specified bounds, scale and background color.

Method Detail

### appendSvgElement

    public void appendSvgElement(org.w3c.dom.Element node)

### setDocument

    public void setDocument(org.w3c.dom.Document document)

### getDocument

    public org.w3c.dom.Document getDocument()

  Returns a reference to the document that represents the canvas.

  Returns:
    Returns the document.

### drawVertex

    public java.lang.Object drawVertex(int x,
                                       int y,
                                       int w,
                                       int h,
                                       java.util.Map<java.lang.String,java.lang.Object> style)

  Description copied from interface: `mxICanvas`
  Draws the given vertex.

  Parameters:
    `x` - X-coordinate of the vertex.
    `y` - Y-coordinate of the vertex.
    `w` - Width of the vertex.
    `h` - Height of the vertex.
    `style` - Style of the vertex.
  Returns:
    Optional object that represents the vertex.

### drawEdge

    public java.lang.Object drawEdge(java.util.List<mxPoint> pts,
                                     java.util.Map<java.lang.String,java.lang.Object> style)

  Description copied from interface: `mxICanvas`
  Draws the given edge.

  Parameters:
    `pts` - List of mxPoints that make up the edge.
    `style` - Style of the edge.
  Returns:
    Optional object that represents the edge.

### drawLabel

    public java.lang.Object drawLabel(java.lang.String label,
                                      int x,
                                      int y,
                                      int w,
                                      int h,
                                      java.util.Map<java.lang.String,java.lang.Object> style,
                                      boolean isHtml)

  Description copied from interface: `mxICanvas`
  Draws the given label.

  Parameters:
    `label` - String that represents the label.
    `x` - X-coordinate of the label.
    `y` - Y-coordinate of the label.
    `w` - Width of the label.
    `h` - Height of the label.
    `style` - Style of the label.
    `isHtml` - Specifies if the label contains HTML markup.
  Returns:
    Optional object that represents the label.

### drawShape

    public org.w3c.dom.Element drawShape(int x,
                                         int y,
                                         int w,
                                         int h,
                                         java.util.Map<java.lang.String,java.lang.Object> style)

  Draws the shape specified with the STYLE_SHAPE key in the given style.

  Parameters:
    `x` - X-coordinate of the shape.
    `y` - Y-coordinate of the shape.
    `w` - Width of the shape.
    `h` - Height of the shape.
    `style` - Style of the the shape.

### drawLine

    public org.w3c.dom.Element drawLine(java.util.List<mxPoint> pts,
                                        java.util.Map<java.lang.String,java.lang.Object> style)

  Draws the given lines as segments between all points of the given list of mxPoints.

  Parameters:
    `pts` - List of points that define the line.
    `style` - Style to be used for painting the line.

### drawMarker

    public mxPoint drawMarker(org.w3c.dom.Element parent,
                              java.lang.Object type,
                              mxPoint p0,
                              mxPoint pe,
                              float size,
                              float strokeWidth,
                              java.lang.String color)

  Draws the specified marker as a child path in the given parent.

### drawText

    public java.lang.Object drawText(java.lang.String text,
                                     int x,
                                     int y,
                                     int w,
                                     int h,
                                     java.util.Map<java.lang.String,java.lang.Object> style)

  Draws the specified text either using drawHtmlString or using drawString.

  Parameters:
    `text` - Text to be painted.
    `x` - X-coordinate of the text.
    `y` - Y-coordinate of the text.
    `w` - Width of the text.
    `h` - Height of the text.
    `style` - Style to be used for painting the text.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.